ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
string_markup_1_0_0 Class Reference

## Public Member Functions
| __construct ()
| compile_sprintf (&$Settings)
| compile_encoding ($Str, $Changed)

## Data Fields
| $BlockSettings = false
| $String = false

## Detailed Description

Class processes string macro.

Author
  Dodonov A.A.

Definition at line 26 of file string_markup.php.

## Constructor & Destructor Documentation

__construct | ( |  | ) |

Constructor.

Author
  Dodonov A.A.

Definition at line 52 of file string_markup.php.

{
try
{
$Settings = get_package_object( 'settings::settings' , 'last' , __FILE__ );
$this->String = get_package( 'string' , 'last' , __FILE__ );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Member Function Documentation

compile_encoding | ( |  | $Str,
|  |  | $Changed
| ) |  |

Function compiles macro 'encoding'.

Parameters

  $Settings | - Processing options.

Returns
  Widget.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 125 of file string_markup.php.

{
try
{
$Code = $this->CachedMultyFS->get_template( __FILE__ , 'encoding.tpl' );
$Name = $Settings->get_setting( 'name' , 'encoding' );
$Selected = $Settings->get_setting( 'selected' , 'utf-8' );
$Code = str_replace( '{name}' , $Name , $Code );
$Code = str_replace( '{selected'.$Selected.'}' , 'selected' , $Code );
return( $Code );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

compile_sprintf | ( | & | $Settings | ) |

Function compiles macro 'sprintf'.

Parameters

  $Settings | - Processing options.

Returns
  Widget.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 88 of file string_markup.php.

{
try
{
$Format = $Settings->get_setting( 'format' , '%s' );
$Value = $Settings->get_setting( 'value' , '' );
return( sprintf( $Format , $Value ) );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Field Documentation

$BlockSettings = false

Cached objects.

Author
  Dodonov A.A.

Definition at line 39 of file string_markup.php.

$String = false

Definition at line 40 of file string_markup.php.

The documentation for this class was generated from the following file:

- packages/gui/packages/string_markup/string_markup.php